Class | CategorySweeper
In: | app/sweepers/category_sweeper.rb
Parent: | ActionController::Caching::Sweeper

### Methods

after_destroy after_save

### Public Instance methods

after_destroy(category)

If our sweeper detects that a document was deleted call this

[Source]

        # File app/sweepers/category_sweeper.rb, line 10
    10:   def after_destroy(category)
    11:     expire_cache_for(category)
    12:   end

after_save(category)

If our sweeper detects that a Document was created call this

[Source]

       # File app/sweepers/category_sweeper.rb, line 5
    5:   def after_save(category)
    6:     expire_cache_for(category)
    7:   end

[Validate]